import HamalronItemSheet from "./base-item-sheet.mjs"

export default class HamalronSortilegeSheet extends HamalronItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["ritual"],
    position: {
      width: 600,
    },
    window: {
      contentClasses: ["ritual-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-hamalron/templates/sortilege.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.enrichedDescription = await foundry.applications.ux.TextEditor.implementation.enrichHTML(this.document.system.description, { async: true })

    return context
  }
}
